#pragma once

#include "gui.h"
#include "framebuffer.h"
#include "tmesh.h"
#include "ppc.h"

class Scene {
public:
  GUI *gui;
  FrameBuffer *fb;
  PPC *ppc, *ppc2;
  TMesh *tmesh, *tmesh2, *tmesh3;
  float rstep;
  float tstep;
  Scene();
  void Render();
  void DBG();
  void SaveView();
  void LoadView();
  FrameBuffer *ims[3];
  FrameBuffer *canvas;
  void RenderCanvas();
};

extern Scene *scene;
